summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Damian Perticone2022-04-23 04:15:58 +0200
committer Willy Sudiarto Raharjo2022-04-23 20:47:11 +0200
commitce9e901f71a6b3c4af1fcdf874cbcb832b150e1c (patch)
tree26956f4016bd621334fc7ab8f03af79ded6f76a9
parentd619b1f1a235872bb9d1c5af8fcd664ee8c4f3f5 (diff)
downloadslackbuilds-ce9e901f71a6b3c4af1fcdf874cbcb832b150e1c.tar.gz
libraries/fcft: Added (font loading and glyph rasterization library)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/fcft/README20
-rw-r--r--libraries/fcft/fcft.SlackBuild127
-rw-r--r--libraries/fcft/fcft.info10
-rw-r--r--libraries/fcft/slack-desc19
4 files changed, 176 insertions, 0 deletions
diff --git a/libraries/fcft/README b/libraries/fcft/README
new file mode 100644
index 0000000000..b3c5c7be37
--- /dev/null
+++ b/libraries/fcft/README
@@ -0,0 +1,20 @@
+fcft is a small font loading and glyph rasterization library built
+on-top of FontConfig, FreeType2 and pixman.
+It can load and cache fonts from a fontconfig-formatted name string,
+ e.g. Monospace:size=12, optionally with user configured fallback fonts.
+
+After a font has been loaded, you can rasterize glyphs. When doing so,
+the primary font is first considered. If it does not have the requested
+glyph, the user configured fallback fonts (if any) are considered.
+If none of the user configured fallback fonts has the requested glyph,
+the FontConfig generated list of fallback fonts are checked.
+The API is documented as man pages.
+Starting with 2.3.0, fcft gained the ability to do text shaping using
+HarfBuzz (an optional dependency). Initially, only individual grapheme
+clusters could be shaped. With 2.4.0, the ability to shape whole
+text-runs were added. It should be noted however, that fcft does
+not aim to compete with e.g. Pango, and that the text shaping support
+may not be (and perhaps never will be) sufficient for “professional”
+text layout.
+
+if you have to rebuild the package delete /tmp/SBo/fcft directory.
diff --git a/libraries/fcft/fcft.SlackBuild b/libraries/fcft/fcft.SlackBuild
new file mode 100644
index 0000000000..33f23dfea6
--- /dev/null
+++ b/libraries/fcft/fcft.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# Slackware build script for fcft
+
+# Copyright 2022 Damian Perticone Berisso,Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=fcft
+VERSION=${VERSION:-3.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Ddocs=enabled \
+ -Dgrapheme-shaping=enabled \
+ -Drun-shaping=enabled \
+ -Dtest-text-shaping=false \
+ -Dexamples=false \
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+
+rm -r $PKG/usr/share
+
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/fcft/fcft.info b/libraries/fcft/fcft.info
new file mode 100644
index 0000000000..d08df543ea
--- /dev/null
+++ b/libraries/fcft/fcft.info
@@ -0,0 +1,10 @@
+PRGNAM="fcft"
+VERSION="3.0.1"
+HOMEPAGE="https://codeberg.org/dnkl/fcft"
+DOWNLOAD="https://codeberg.org/dnkl/fcft/archive/3.0.1.tar.gz"
+MD5SUM="0e6edeb8bd86184b57cfeb3c74362126"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="scdoc tllist"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"
diff --git a/libraries/fcft/slack-desc b/libraries/fcft/slack-desc
new file mode 100644
index 0000000000..df5e06ad5f
--- /dev/null
+++ b/libraries/fcft/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fcft: fcft (font loading and glyph rasterization library)
+fcft:
+fcft: Fcft is a library for font loading and glyph rasterization using
+fcft: FontConfig, FreeType and pixman.
+fcft:
+fcft:
+fcft:
+fcft:
+fcft:
+fcft: Homepage: https://codeberg.org/dnkl/fcft
+fcft: